# MovePowerMultiplierAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MovePowerMultiplierAttr

Base class defining all `Move` Attributes

#### See

`apply`

#### Hierarchy (View Summary)

- VariablePowerAttr
  - MovePowerMultiplierAttr
    - ConsecutiveUsePowerMultiplierAttr

- Defined in src/data/moves/move.ts:3686

##### Index

### Constructors

constructor

### Properties

selfTarget

### Methods

apply
getCondition
getFailedText
getTargetBenefitScore
getUserBenefitScore

## Constructors

### constructor

- new MovePowerMultiplierAttr(
  powerMultiplier: (
  user: default ,
  target: default ,
  move: default ,
  ) => number,
  ): MovePowerMultiplierAttr

  #### Parameters

  - powerMultiplier: (user: default , target: default , move: default ) => number

  #### Returns MovePowerMultiplierAttr

  Overrides VariablePowerAttr.constructor

  - Defined in src/data/moves/move.ts:3689

## Properties

### selfTarget

selfTarget: boolean

Should this `Move` target the user?

Inherited from VariablePowerAttr.selfTarget

- Defined in src/data/moves/move.ts:1071

## Methods

### apply

- apply(user: default , target: default , move: default , args: any[]): boolean

  Applies move attributes

  #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  - args: any[]

    Set of unique arguments needed by this attribute

  #### Returns boolean

  true if application of the ability succeeds

  #### See

  applyMoveAttrsInternal

  Overrides VariablePowerAttr.apply

  - Defined in src/data/moves/move.ts:3695

### getCondition

- getCondition(): null | MoveCondition | MoveConditionFunc

  #### Returns null | MoveCondition | MoveConditionFunc

  the `MoveCondition` or MoveConditionFunc for this `Move`

  Inherited from VariablePowerAttr.getCondition

  - Defined in src/data/moves/move.ts:1095

### getFailedText

- getFailedText(user: default , target: default , move: default ): undefined | string

  #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  #### Returns undefined | string

  the string representing failure of this `Move`

  Inherited from VariablePowerAttr.getFailedText

  - Defined in src/data/moves/move.ts:1106

### getTargetBenefitScore

- getTargetBenefitScore(user: default , target: default , move: default ): number

  Used by the Enemy AI to rank an attack based on a given target

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from VariablePowerAttr.getTargetBenefitScore

  - Defined in src/data/moves/move.ts:1124

### getUserBenefitScore

- getUserBenefitScore(user: default , target: default , move: default ): number

  Used by the Enemy AI to rank an attack based on a given user

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from VariablePowerAttr.getUserBenefitScore

  - Defined in src/data/moves/move.ts:1115